Index: LinearAlgebra/doc/Doxyfile
===================================================================
--- LinearAlgebra/doc/Doxyfile	(revision e0f8c8e2730498c806c8d1900d0c5e3189db8e51)
+++ LinearAlgebra/doc/Doxyfile	(revision ce133f70502bb6727370591a8ac8595935e943e1)
@@ -90,4 +90,5 @@
                          *.c++ \
                          *.d \
+			 *.dox \
                          *.java \
                          *.ii \
Index: LinearAlgebra/src/documentation/groups.dox
===================================================================
--- LinearAlgebra/src/documentation/groups.dox	(revision ce133f70502bb6727370591a8ac8595935e943e1)
+++ LinearAlgebra/src/documentation/groups.dox	(revision ce133f70502bb6727370591a8ac8595935e943e1)
@@ -0,0 +1,15 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file groups.dox
+ *
+ * Herein, all doxygen groups are defined at one central place.
+ *
+ * Created on: Oct 11, 2011
+ *    Author: heber
+ */
Index: LinearAlgebra/src/documentation/mainpage.dox
===================================================================
--- LinearAlgebra/src/documentation/mainpage.dox	(revision ce133f70502bb6727370591a8ac8595935e943e1)
+++ LinearAlgebra/src/documentation/mainpage.dox	(revision ce133f70502bb6727370591a8ac8595935e943e1)
@@ -0,0 +1,27 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file mainpage.dox
+ *
+ *  Here, the mainpage (index.html) for the doxygen documentation resides.
+ *
+ * Created on: Oct 11, 2011
+ *    Author: heber
+ */
+
+/*! \page Copyright notice
+ *
+ *  MoleCuilder - to create and alter molecular systems
+ *  Copyright (C) 2010  University Bonn. All rights reserved.
+ *
+ */
+
+/*! \mainpage Linear Algebra - a C++ wrapper for the linear algebra part of GSL.
+ *
+ */
+
Index: doc/Doxyfile
===================================================================
--- doc/Doxyfile	(revision e0f8c8e2730498c806c8d1900d0c5e3189db8e51)
+++ doc/Doxyfile	(revision ce133f70502bb6727370591a8ac8595935e943e1)
@@ -90,4 +90,5 @@
                          *.c++ \
                          *.d \
+			 *.dox \
                          *.java \
                          *.ii \
Index: src/documentation/faq.dox
===================================================================
--- src/documentation/faq.dox	(revision ce133f70502bb6727370591a8ac8595935e943e1)
+++ src/documentation/faq.dox	(revision ce133f70502bb6727370591a8ac8595935e943e1)
@@ -0,0 +1,15 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file faq.dox
+ *
+ *  Herein, all frequently asked questions (FAQ) are contained.
+ *
+ * Created on: Oct 11, 2011
+ *    Author: heber
+ */
Index: src/documentation/groups.dox
===================================================================
--- src/documentation/groups.dox	(revision ce133f70502bb6727370591a8ac8595935e943e1)
+++ src/documentation/groups.dox	(revision ce133f70502bb6727370591a8ac8595935e943e1)
@@ -0,0 +1,25 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file groups.dox
+ *
+ * Herein, all doxygen groups are defined at one central place.
+ *
+ * Created on: Oct 11, 2011
+ *    Author: heber
+ */
+
+
+/*
+ * \defgroup example_group "Example group"
+ * This module contains example group stuff.
+ *
+ * \defgroup inner_example_group "inner Example group"
+ * \ingroup example_group
+ * This module contains inner example group stuff, part of \ref example_group.
+ */
Index: src/documentation/mainpage.dox
===================================================================
--- src/documentation/mainpage.dox	(revision ce133f70502bb6727370591a8ac8595935e943e1)
+++ src/documentation/mainpage.dox	(revision ce133f70502bb6727370591a8ac8595935e943e1)
@@ -0,0 +1,71 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file mainpage.dox
+ *
+ *  Here, the mainpage (index.html) for the doxygen documentation resides.
+ *
+ * Created on: Oct 11, 2011
+ *    Author: heber
+ */
+
+/*! \page Copyright notice
+ *
+ *  MoleCuilder - to create and alter molecular systems
+ *  Copyright (C) 2010  University Bonn. All rights reserved.
+ *
+ */
+
+/*! \mainpage MoleCuilder - a molecular set builder
+ *
+ * This introductory shall briefly make acquainted with the program, helping in installing and a first run.
+ *
+ * \section about About the Program
+ *
+ *  MoleCuilder is a program, written entirely in C++, that enables the construction of a coordinate set for the
+ *  atoms making up an molecule. It allows for both building of simple molecules by adding atom-wise giving bond
+ *  angles and distances or absolute coordinates, but also using them as templates. Regions can be specified and
+ *  ordered to be filled with a molecule in a certain manner. Greater conglomerations of molecules can be tesselated
+ *  and recognized as a region themselves to be subsequently surrounded by other (surface solvated) molecules.
+ *  In the end, MoleCuilder allows the construction of arbitrary nano structures, whether they be crystalline or
+ *  amorphic in nature.
+ *
+ *
+ * \section install Installation
+ *
+ *  Installation should without problems succeed as follows:
+ *  -# ./configure (or: mkdir build;mkdir run;cd build; ../configure --bindir=../run)
+ *  -# make
+ *  -# make install
+ *
+ *  Further useful commands are
+ *  -# make clean uninstall: deletes .o-files and removes executable from the given binary directory\n
+ *  -# make doxygen-doc: Creates these html pages out of the documented source
+ *  -# make check: Runs an extensive set of unit tests and a testsuite which also gives a good overview on the set of
+ *                 functions.
+ *
+ * \section run Running
+ *
+ *  The program can be executed by running: ./molecuilder
+ *
+ *  MoleCuilder has three interfaces at your disposal:
+ *  -# Textmenu: A simple interactive console-based menu, where awaits your choices and inputs in order to set atoms
+ *               as you like
+ *  -# CommandLineUI: Every command can also be chained up as a sequence of actions on the command line to be executed
+ *               with any user interaction.
+ *  -# GraphicalUI: A graphical user interface that also display the molecular structure being built and lots of other
+ *               informations to ease the construction of bigger geometries.
+ *
+ *  The supported output formats right now are:
+ *  -# mpqc: Configuration files of the Massively Parallel Quantum Chemistry package (Sandia labs)
+ *  -# pcp: Configuration files of the Parallel Car-Parrinello program (Institute for Numerical Simulation)
+ *  -# tremolo: Configuration files of TREMOLO (Institute for Numerical Simulation)
+ *  -# xyz: the most basic format for the 3d arrangement of atoms consisting of a list of element and 3 coordinates.
+ *
+ */
+
Index: src/documentation/observers_observables.dox
===================================================================
--- src/documentation/observers_observables.dox	(revision ce133f70502bb6727370591a8ac8595935e943e1)
+++ src/documentation/observers_observables.dox	(revision ce133f70502bb6727370591a8ac8595935e943e1)
@@ -0,0 +1,13 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file observers_observables.dox
+ *
+ * Created on: Oct 12, 2011
+ *    Author: heber
+ */
Index: src/documentation/regression-tests.dox
===================================================================
--- src/documentation/regression-tests.dox	(revision ce133f70502bb6727370591a8ac8595935e943e1)
+++ src/documentation/regression-tests.dox	(revision ce133f70502bb6727370591a8ac8595935e943e1)
@@ -0,0 +1,15 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file regression-tests.dox
+ *
+ * This file contains explanation how to write, launch and use regression tests.
+ *
+ * Created on: Oct 11, 2011
+ *    Author: heber
+ */
Index: src/documentation/serialization.dox
===================================================================
--- src/documentation/serialization.dox	(revision ce133f70502bb6727370591a8ac8595935e943e1)
+++ src/documentation/serialization.dox	(revision ce133f70502bb6727370591a8ac8595935e943e1)
@@ -0,0 +1,15 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/**
+ * \file serialization.dox
+ *
+ *  Here, we explain what serialization is and how it is used within MoleCuilder.
+ *
+ * Created on: Oct 11, 2011
+ *    Author: heber
+ */
